#
# Conditional build:
%bcond_with	verbose		# verbose build

%define		qtver	4.6.4
%define		origname	networkmanagement

Summary:	Plasma applet that controls network via NetworkManager backend
Name:		kde4-knetworkmanager
Version:	0.9.0.4
Release:	4
Epoch:		1
License:	GPL v2
Group:		X11/Applications
# git clone git://anongit.kde.org/networkmanagement.git
# git checkout nm09 (until is merged to master)
Source0:	ftp://ftp.kde.org/pub/kde/unstable/networkmanagement/%{version}/src/%{origname}-%{version}.tar.bz2
# Source0-md5:	b2e016a293e412807ec9571617d53b84
Patch0:	%{origname}-kill_rest_sr.patch
URL:		http://en.opensuse.org/Projects/KNetworkManager
BuildRequires:	NetworkManager-devel >= 2:0.9.0
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	mobile-broadband-provider-info-devel
BuildRequires:	openconnect-devel >= 3.12
BuildRequires:	openssl-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
Requires:	NetworkManager >= 2:0.9.0
Obsoletes:	kde4-kdeplasma-addons-networkmanager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plasma applet that controls network via NetworkManager backend.

%prep
%setup -q -n %{origname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	%{?with_verbose:-DCMAKE_VERBOSE_MAKEFILE=true} \
	-DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc DESIGN TODO
#%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/*.conf

%attr(755,root,root) %{_libdir}/kde4/kcm_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/kcm_networkmanagement_tray.so
%attr(755,root,root) %{_libdir}/kde4/kded_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/libexec/networkmanagement_configshell
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_novellvpnui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_openconnectui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_openvpnui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_pptpui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_strongswanui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_vpncui.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/solid_networkmanager09.so
%attr(755,root,root) %{_libdir}/libknmclient.so
%attr(755,root,root) %{_libdir}/libknmclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknmclient.so.?
%attr(755,root,root) %{_libdir}/libknminternals.so
%attr(755,root,root) %{_libdir}/libknminternals.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknminternals.so.?
%attr(755,root,root) %{_libdir}/libknm_nm.so
%attr(755,root,root) %{_libdir}/libknmservice.so
%attr(755,root,root) %{_libdir}/libknmservice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknmservice.so.?
%attr(755,root,root) %{_libdir}/libknmui.so
%attr(755,root,root) %{_libdir}/libknmui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknmui.so.?
%attr(755,root,root) %{_libdir}/libsolidcontrolfuture.so
%attr(755,root,root) %{_libdir}/libsolidcontrolnm09ifaces.so
%attr(755,root,root) %{_libdir}/libsolidcontrolnm09ifaces.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsolidcontrolnm09ifaces.so.?
%attr(755,root,root) %{_libdir}/libsolidcontrolnm09.so
%attr(755,root,root) %{_libdir}/libsolidcontrolnm09.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsolidcontrolnm09.so.?

%{_datadir}/apps/desktoptheme/default/icons/network2.svgz
%{_datadir}/apps/networkmanagement
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/kded/*.desktop
%{_datadir}/kde4/servicetypes/*.desktop
%{_datadir}/kde4/services/solidbackends/*.desktop
%{_iconsdir}/oxygen/*x*/devices/network-wireless*.png
%{_iconsdir}/oxygen/*x*/devices/network-wired-activated.png
%{_iconsdir}/oxygen/*x*/devices/network-defaultroute.png
%changelog
* Thu Aug 30 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-knetworkmanager.git;a=log;h=master

* Thu Aug 30 2012 Jan Rękorajski <baggins@pld-linux.org> b9d9290
Release 4

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 6384693
- release 3 (by relup.sh)

* Sun Aug 26 2012 Bartlomiej Zimon <uzi18@o2.pl> 6a7387c
- rel 2; with kill some sr langs patch, as in kde4-l10n.spec

* Sat Aug 25 2012 Bartlomiej Zimon <uzi18@o2.pl> 6e69af9
- up to 0.9.0.4; lots of bugs fixed

* Sun May 27 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 6248bc3
- up to stable 0.9.0.2

* Mon Apr 02 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 36c9e03
- rel 0.rc4.2

* Sun Jan 29 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 5071f8d
- up to 0.9.0 rc4

* Mon Sep 19 2011 lisu <lisu@pld-linux.org> d2cd6ab
- R: NetworkManager >= 2:0.9.0
- rel 3

* Mon Sep 19 2011 lisu <lisu@pld-linux.org> b6880a7
- rel 2

* Mon Sep 19 2011 lisu <lisu@pld-linux.org> ffaa452
- epoch in NetworkManager version

* Mon Sep 19 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e7dd97
- update to version from git which is supposed to work with NM 0.9

* Wed Sep 14 2011 lisu <lisu@pld-linux.org> b3a307e
- reversed

* Wed Sep 14 2011 lisu <lisu@pld-linux.org> 9080ccc
- updated NetworkManager-devel BR

* Mon Apr 25 2011 Bartłomiej Zimoń <cactus@pld-linux.org> e60e58f
- up to 0.9 snap 20110425
- BR: mobile-broadband-provider-info-devel
- patch0 - nm-09-compat.patch

* Wed Jun 30 2010 shadzik <shadzik@pld-linux.org> d148e55
- snap 1144821
- fake version 4.4.5

* Sat May 29 2010 shadzik <shadzik@pld-linux.org> 80f2771
- 4.4.4 - 4.4.80 moved to DEVEL

* Thu May 27 2010 shadzik <shadzik@pld-linux.org> 29856f5
- snap 1131160 for kde 4.5 Beta1

* Sat Mar 13 2010 shadzik <shadzik@pld-linux.org> 9bbddbd
- up to snap 1102779

* Tue Mar 02 2010 shadzik <shadzik@pld-linux.org> 44c902d
- snap 1098080

* Mon Mar 01 2010 shadzik <shadzik@pld-linux.org> 837ab99
- fake version up to 4.4.1
- updated BRs

